# Changelog

<!--
### ✨ Feature
### 🤏 Minor change
### 🎨 Interface
### 🐛 Bugfix
### 🔒 Security
### 🚀‍️ CI / CD
### 🔨 Internal / Developers
### 📚 Documentation

**💥 Breaking:**
**⚠️ Deprecation:**
-->

## 2.1.0 (?)

### ✨ Feature
- Added pipeline badge to exercises

### 🎨 Interface
- **💥 Breaking:** Renamed `dojo.enonce` (or `dojo.assignment`) file to `dojo_assignment.json`

### 🔨 Internal / Developers
- Deploy Wiki on Gitlab (on push to `main`) from files of `Wiki` folder
- Migration from .env files stored in Gitlab Secure Files to usage of `dotenv-vault` (locally)

### 📚 Documentation
- Added Wiki base


## 2.0.0 (2023-09-15)

### ✨ Feature
- Added license: AGPLv3

### 🎨 Interface
- **💥 Breaking:** Renamed `enonce` to `assignment`
- **💥 Breaking:** Renamed `exercice` to `exercise`

### 🔨 Internal / Developers
- Auto release by pipeline
    - For vX.Y.Z branch create release and tag with `-dev` suffix
    - For main branch create definitive release and remove `-dev` releases


## 1.0.1 (2023-08-12)

### ✨ Feature
- 🎉 Initial release of the project